WordPress.org

Ready to get started?Download WordPress

Forums

Fold Category List updated for WP2.3 (4 posts)

  1. roblgs
    Member
    Posted 6 years ago #

    Hi,

    The Fold Category List plugin to provide collapsable styled category lists has just been updated to v2.0 as a compatibility release for WP2.3+

    This release addresses the changes necessary to support WP's new database structure for categories, as well as introducing support for the 'orderby', 'order' and 'title_li' arguments not previously available. Default sorting under WP2.3+ also follows the new defaults, using 'name' sorting instead of 'ID' as previously.

    The update (and documentation) is available from the Fold Category List support page.

    I am aware that others have stepped in and provided patches and some of the changes here are derived from their efforts (credited) for which I am grateful.

    This new version though goes beyond those patches, and also retains compatibility with older versions of WP, all the way back to 1.5

    Regards

    Rob

  2. roblgs
    Member
    Posted 6 years ago #

    Hi,

    Further upgrade to v2.02

    Adds a case to handle the capture category of single post. In situations where the post in question is assigned to more than one category Fold Category List will use first returned category as the basis for building an appropriate folded category navigation.

    Convention in WP is to not have category navigation on 'single-post' pages and those pages are not called with reference to a category, just the post id/name. Trying to fold the category navigation without knowing the current category isn't possible, and the current solution is a compromise at best, but will work in all cases where posts are only assigned to a single category.

    Best regards

    Rob

  3. lowestformofwit
    Member
    Posted 6 years ago #

    Can you tell me if there a previous version which will work with WP 2.0.11?

  4. MichaelH
    Member
    Posted 6 years ago #

    The author says this on the link above:
    "WP2 compatibility: fold_category_list is compatible with WP v.2.0.x and 2.1 (stable)."

Topic Closed

This topic has been closed to new replies.

About this Topic